Name:           SDL2
Version:        2.0.12
Release:        1
Summary:        Cross-platform multimedia library
License:        zlib and MIT
URL:            http://www.libsdl.org/
Source0:        http://www.libsdl.org/release/%{name}-%{version}.tar.gz
Source1:        SDL_config.h
Patch0000:      multilib.patch
Patch0001:	SDL2-2.0.9-khrplatform.patch
Patch0002:	Fix-build-against-wayland-1.20.patch
#https://github.com/libsdl-org/SDL/commit/a7ff6e96155f550a5597621ebeddd03c98aa9294
Patch0003:	CVE-2020-14409_CVE-2020-14410.patch
Patch6000:      backport-CVE-2021-33657.patch

BuildRequires:  alsa-lib-devel audiofile-devel mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel mesa-libEGL-devel libglvnd-devel
BuildRequires:  libXext-devel libX11-devel libXi-devel libXrandr-devel
BuildRequires:  libXrender-devel libXScrnSaver-devel libusb-devel
BuildRequires:  libXinerama-devel libXcursor-devel systemd-devel
BuildRequires:  pkgconfig(libpulse-simple) pkgconfig(jack)
BuildRequires:  pkgconfig(dbus-1) pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-cursor) pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner) pkgconfig(xkbcommon)
BuildRequires:  vulkan-devel mesa-libgbm-devel libdrm-devel
%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed
to provide fast access to the graphics frame buffer and audio device.

%package devel
Summary:        Files needed to develop Simple DirectMedia Layer applications
Requires:       %{name} = %{version}-%{release}
Requires:       mesa-libEGL-devel mesa-libGLES-devel libX11-devel
Provides:       %{name}-static = %{version}-%{release}
Obsoletes:      %{name}-static < %{version}-%{release}

%description devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed
to provide fast access to the graphics frame buffer and audio device. This
package provides the libraries, include files, and other resources needed for
developing SDL applications.

%prep
%autosetup -p1
sed -i -e 's/.*AM_PATH_ESD.*//' configure.ac
sed -i -e 's/\r//g' TODO.txt README.txt WhatsNew.txt BUGS.txt COPYING.txt CREDITS.txt README-SDL.txt

%build
%configure \
    --enable-sdl-dlopen --enable-video-kmsdrm \
    --disable-arts --disable-esd --disable-nas \
    --enable-pulseaudio-shared --enable-jack-shared \
    --enable-alsa --enable-video-wayland \
    --enable-video-vulkan --enable-sse2=no \
    --enable-sse3=no --disable-rpath \

%make_build

%install
%make_install

mv %{buildroot}%{_includedir}/SDL2/SDL_config.h %{buildroot}%{_includedir}/SDL2/SDL_config-%{_arch}.h
install -pm 0644 %{SOURCE1} %{buildroot}%{_includedir}/SDL2/SDL_config.h

rm -vf %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING.txt
%doc BUGS.txt CREDITS.txt README-SDL.txt
%{_libdir}/lib*.so.*

%files devel
%license COPYING.txt
%doc README.txt TODO.txt WhatsNew.txt
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/sdl2.pc
%{_libdir}/cmake/SDL2/
%{_includedir}/SDL2
%{_datadir}/aclocal/*

%changelog
* Tue Apr 12 2022 yaoxin <yaoxin30@h-partners.com> - 2.0.12-1
- Upgrade SDL2 to 2.0.12 and fix CVE-2020-14409,CVE-2020-14410

* Tue Mar 15 2022 yuanxin <yuanxin24@h-partners.com> - 2.0.8-11
- Type:CVE
- ID:NA
- SUG:NA
- DESC:Fix CVE-2021-33657

* Tue Oct 13 2020 hanhui <hanhui15@huawei.com> - 2.0.8-10
- change mesa-libEGL-devel to libglvnd-devel in buildrequires

* Wed Mar 18 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.8-9
- Type:CVE
- ID:NA
- SUG:NA
- DESC:Fix CVE-2019-13616

* Mon Feb 24 2020 yuxiangyang <yuxiangyang4@huawei.com> - 2.0.8-8
- Delete buildrequires for jack-audio-connection-kit

* Fri Nov 29 2019 lijin Yang <yanglijin@huawei.com> - 2.0.8-7
- Package Init
